package lagrange;
import fonction.ChoixDeFonction;

/**
 * Classe de fonction donnant la drive de la fonction  minimiser dans le cadre du calcul du troisime point de Lagrange
 *
 * @author Benoit CARRY
 * @version 15/01/2006
 * @since Projet Trois Corps 2006
 *
 */
public class DerivLagrange3 implements ChoixDeFonction {

    /**
     * Mthode de calcul pour une fonction  deux inconnues, drive de la FoncLagrange associe
     *
     *  @param variable Inconnue de la drive
     *  @param parametres Tableau de paramtres dont dpend la drive (ici un paramtre : mu)
     *  @return La valeur de la drive au point d'entre
     *
     */
  public double fonction(double variable, double[] parametres) {

   //-Variables intermediaires
    double terme1, terme2, resultat;

    terme1= 2*(1-parametres[0]) / ( (variable+parametres[0])*(variable+parametres[0])*(variable+parametres[0]) );
    terme2= 2*parametres[0] / ( (variable+parametres[0]-1)*(variable+parametres[0]-1)*(variable+parametres[0]-1) );

    resultat = 1.0 - terme1 - terme2 ;

    return resultat;

  }
  public double fonction(double[] variable, double[] parametres) {
  //definition de la methode fonction non utilise dans ce cas
  double resultat = 0;
  return resultat;
  }

  
  public double[] fonction_multi(double[] variable, double[] parametres, int taille) {
  //definition de la methode fonction_multi non utilise dans ce cas
  double[] resultat = new double[1];
  resultat[0] = 0;
  return resultat;
  }
}
