package lagrange;
import fonction.ChoixDeFonction;
import java.lang.Math;
/**
 * Classe de fonction donnant la fonction  minimiser dans le cadre du calcul du premier point de Lagrange
 * @author Benoit CARRY
 * @version 05/12/2005
 * @since Projet Trois Corps 2006
 *
 */
public class FoncLagrange1 implements ChoixDeFonction {

    /**
     * Mthode de calcul pour une fonction  deux inconnues
     *
     *  @param variable Inconnue de la fonction
     *  @param parametres Tableau de paramtres dont dpend la fonction (ici un paramtre : mu)
     *  @return La valeur de la fonction au point d'entre
     *
     */
  public double fonction(double variable, double[] parametres) {

   //-Variables intermediaires
    double terme1, terme2, resultat;

    terme1 = (1-parametres[0]) / Math.pow( variable+parametres[0] ,2.0);
    terme2 = parametres[0] / Math.pow( variable+parametres[0]-1 ,2.0) ;

    resultat= variable - terme1 + terme2;

    return resultat;

  }
  public double fonction(double[] variable, double[] parametres) {
  //definition de la methode fonction non utilise dans ce cas
  double resultat = 0;
  return resultat;
  }

  
  public double[] fonction_multi(double[] variable, double[] parametres, int taille) {
  //definition de la methode fonction_multi non utilise dans ce cas
  double[] resultat = new double[1];
  resultat[0] = 0;
  return resultat;
  }
  }
