package vitessenulle;
import fonction.ChoixDeFonction;
import java.lang.Math;
/**
 * Classe de fonction donnant la drive de la fonction des vitesses de la masse 3.
 *
 * Herite de la classe ChoixDeFonction
 *
 * @author Guillaume BOUBIN et Gatan LE CHAT
 * @version 24/10/2006
 * @since Projet Trois Corps 2007
 */
class DerivQ2VitesseNulle implements ChoixDeFonction {
  /**
  *definition de la methode fonction non utilise dans ce cas
  */
  public double fonction(double variable, double[] parametres) {
  double resultat = 0;
  return resultat;
  }
  

   /**
   *fonction donnant la drive de la fonction des vitesses de la masse 3.
   *@param variable inconnue (ici q1 et q2)
   *@param parametres liste des parametres de la fonction (Jacobien, mu)
   */
    public double fonction(double[] variable, double[] parametres) {
     double resultat;
  double r1, r2, r1prim, r2prim;

  r1 = Math.sqrt(Math.pow((variable[0] + parametres[1]), 2.0) + variable[1]*variable[1]);
  r2 = Math.sqrt(Math.pow((variable[0] + parametres[1] - 1.0), 2.0) + variable[1]*variable[1]);

  r1prim = 1.0/Math.sqrt(variable[1]);
  r2prim = 1.0/Math.sqrt(variable[1]);

  resultat = 2.0*variable[1] - 2.0*((1.0 - parametres[1])*r1prim/(r1*r1) + parametres[1]*r2prim/(r2*r2));
    return resultat;
    }

   /**
    *definition de la methode fonction_multi non utilise dans ce cas
    */
  public double[] fonction_multi(double[] variable, double[] parametres, int taille) {
   double[] resultat = new double[1];
  resultat[0] = 0;
  return resultat;
  }
}
