package vitessenulle;
import fonction.ChoixDeFonction;
import java.lang.Math;
/**
 * Classe de fonction donnant la derive partielle de la vitesse en fonction de Q2, utilise par CourbeVitesse0.
 *
 * Herite de la classe ChoixDeFonction
 *
 * @author Guillaume BOUBIN et Gatan LE CHAT
 * @version 07/11/2006
 * @since Projet Trois Corps 2007
 */
public class DerivePartQ2 implements ChoixDeFonction {
  /**
  *fonction donnant la derive partielle de la vitesse en fonction de Q2
  *@param variable liste des inconnues (ici q1 et q2)
  *@param parametres liste des parametres de la fonction (mu)
  *@return derivee partielle de la vitesse en fonction de Q2
  */
  public double fonction(double[] variable, double[] parametres) {
    
    double resultat ;
    double bloc;
  
    bloc = (((1.0 - parametres[1])*(variable[1]))/(Math.pow((Math.pow(variable[0] + parametres[1], 2.0) + variable[1] * variable[1]), 1.5)) + (parametres[1] * variable[1])/(Math.pow((Math.pow(variable[0] + parametres[1] - 1.0, 2.0) + variable[1] * variable[1]), 1.5)));

    resultat = 2.0 * variable[1]- 2.0 * bloc;
    
    return resultat ;
    }

  /**
  *definition de la methode fonction non utilise dans ce cas
  */
  public double fonction(double variable, double[] parametres) {
    double resultat = 0;
    return resultat;
    }
  
  /**
  *definition de la methode fonction_multi non utilise dans ce cas
  */
  public double[] fonction_multi(double[] variable, double[] parametres, int taille) {
    double[] resultat = new double[1];
    resultat[0] = 0;
    return resultat;
    }
}
