package vitessenulle;
import fonction.ChoixDeFonction;
import java.lang.Math;
/**
 * Classe de fonction donnant la position du point de vitesse nulle de mme ordone que le point d'origine.
 *
 * Herite de la classe ChoixDeFonction
 *
 * @author Guillaume BOUBIN et Gatan LE CHAT
 * @version 24/10/2006
 * @since Projet Trois Corps 2007
 */
class FoncVitesseNulle implements ChoixDeFonction {
  /**
  *fonction donnant la position du point de vitesse nulle de mme ordone que le point d'origine
  *@param variable inconnue (ici q2)
  *@param parametres liste des parametres de la fonction (Jacobien, mu, q1)
  */
  public double fonction(double variable, double[] parametres) {
  
    double r1,r2;
    double resultat ;
  
    r1=Math.pow((Math.pow((parametres[2]+parametres[1]),2)+variable*variable),0.5);
    r2=Math.pow((Math.pow((parametres[2]+parametres[1]-1.0),2)+variable*variable),0.5);
  
    resultat = Math.pow(variable, 2.0)+Math.pow(parametres[2], 2.0)+2.0*((1-parametres[1])/r1+parametres[1]/r2)-parametres[0] ;
  
    return resultat ;
    }

  /**
  *definition de la methode fonction non utilise dans ce cas
  */
  public double fonction(double[] variable, double[] parametres) {
    double resultat = 0;
    return resultat;
    }

   /**
   *definition de la methode fonction_multi non utilise dans ce cas
   */
   public double[] fonction_multi(double[] variable, double[] parametres, int taille) {
    double[] resultat = new double[1];
    resultat[0] = 0;
    return resultat;
    }
}
